vector_angle.hpp File Reference

GLM_GTX_vector_angle More...

Go to the source code of this file.

## Functions

template<typename vecType >
GLM_FUNC_DECL vecType::value_type | angle (vecType const &x, vecType const &y)
| Returns the absolute angle between two vectors. More...
template<typename T , precision P>
GLM_FUNC_DECL T | orientedAngle (tvec2< T, P > const &x, tvec2< T, P > const &y)
| Returns the oriented angle between two 2d vectors. More...
template<typename T , precision P>
GLM_FUNC_DECL T | orientedAngle (tvec3< T, P > const &x, tvec3< T, P > const &y, tvec3< T, P > const &ref)
| Returns the oriented angle between two 3d vectors based from a reference axis. More...

## Detailed Description

GLM_GTX_vector_angle

See also
  GLM Core (dependence)
  GLM_GTX_quaternion (dependence)
  gtx_epsilon (dependence)

Definition in file vector_angle.hpp.